<?xml version="1.0"?>
  <database name="FUNCTION REM_ISPAYMENTCONFIRMED">
    <function name="REM_ISPAYMENTCONFIRMED" type="VARCHAR" volatility="IMMUTABLE">
      <parameter name="status" type="VARCHAR" mode="in">
        <default/>
      </parameter>
      <parameter name="fin_payment_scheduledetail_id" type="VARCHAR" mode="in">
        <default/>
      </parameter>
      <body><![CDATA[/*************************************************************************
* The contents of this file are subject to the Openbravo  Public  License
* Version  1.1  (the  "License"),  being   the  Mozilla   Public  License
* Version 1.1  with a permitted attribution clause; you may not  use this
* file except in compliance with the License. You  may  obtain  a copy of
* the License at http://www.openbravo.com/legal/license.html
* Software distributed under the License  is  distributed  on  an "AS IS"
* basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
* License for the specific  language  governing  rights  and  limitations
* under the License.
* The Original Code is Openbravo ERP.
* The Initial Developer of the Original Code is Openbravo SLU
* All portions are Copyright (C) 2011-2019 Openbravo SLU
* All Rights Reserved.
* Contributor(s):  ______________________________________.
************************************************************************/

BEGIN
  IF (status = 'REM_CANCEL') THEN
    RETURN 'Y';
  ELSIF (status = 'REM_SENT') THEN
    RETURN 'N';
  END IF;
  --IF status is unknown return 'N'
  RETURN 'N';
EXCEPTION
WHEN OTHERS THEN
  DBMS_OUTPUT.PUT_LINE('rem_ispaymentconfirmed exception');
  RAISE;
  RETURN NULL;
END REM_ISPAYMENTCONFIRMED
]]></body>
    </function>
  </database>
